%define anolis_release 10
Name:      hyphen
Summary:   A text hyphenation library
Version:   2.8.8
Release:   %{anolis_release}%{?dist}
Source:    http://downloads.sourceforge.net/hunspell/hyphen-%{version}.tar.gz
URL:       http://hunspell.sf.net
License:   GPLv2 or LGPLv2+ or MPLv1.1
BuildRequires: perl-interpreter, patch, autoconf, automake, libtool
BuildRequires: make valgrind

%description
Hyphen is a library for high quality hyphenation and justification.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Requires: hyphen = %{version}-%{release}
Summary: Files for developing with hyphen

%description devel
Includes and definitions for developing with hyphen

%package en
Requires: hyphen
Summary: English hyphenation rules
BuildArch: noarch

%description en
English hyphenation rules.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%check
%make_build check
VALGRIND=memcheck %make_build check

%install
%make_install

pushd $RPM_BUILD_ROOT/%{_datadir}/hyphen/
en_US_aliases="en_AG en_AU en_BS en_BW en_BZ en_CA en_DK en_GB en_GH en_HK en_IE en_IN en_JM en_MW en_NA en_NZ en_PH en_SG en_TT en_ZA en_ZM en_ZW"
for lang in $en_US_aliases; do
        ln -s hyph_en_US.dic hyph_$lang.dic
done
popd


%files
%{_libdir}/*.so.*
%dir %{_datadir}/hyphen

%files doc
%doc AUTHORS ChangeLog README README.hyphen README.nonstandard TODO

%files en
%{_datadir}/hyphen/hyph_en*.dic

%files devel
%{_includedir}/hyphen.h
%{_libdir}/*.so
%{_bindir}/substrings.pl

%changelog
* Sun Jan 1 2023 Funda Wang <fundawang@yeah.net> - 2.8.8-10
- Bump release for upgrading from anolis 8

* Thu Sep 29 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.8.8-2
- add doc package

* Tue Apr 12 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.8.8-1
- init from upstream
